/* jshint node: true */
'use strict';

module.exports = {
  name: 'ui-icon',
	description: 'Ember flare for FontAwesome love',
	included: function(app) {
		this._super.included(app);
    var o = app.options['ui-icon'] || { fa: true, animate: 'default', quiet: false };
    var defaultAnimations = [
      'attention_seekers/bounce.css',
      'attention_seekers/flash.css',
      'attention_seekers/pulse.css',
      'attention_seekers/rubberBand.css',
      'attention_seekers/shake.css',
      'attention_seekers/swing.css',
      'attention_seekers/tada.css',
      'attention_seekers/wobble.css'
    ];
    // specific to this addon
    app.import('vendor/ui-icon/ui-icon.css');
    var faMessage = 'font-awesome fonts/css not referenced explicitly';
    if(o.fa) {
      // font-awesome
      faMessage = 'fa fonts/css added';
      app.import('bower_components/fontawesome/css/font-awesome.css', {overwrite: true});
      app.import('bower_components/fontawesome/fonts/fontawesome-webfont.eot',{destDir: 'fonts', overwrite: true});
      app.import('bower_components/fontawesome/fonts/fontawesome-webfont.svg',{destDir: 'fonts', overwrite: true});
      app.import('bower_components/fontawesome/fonts/fontawesome-webfont.ttf',{destDir: 'fonts', overwrite: true});
      app.import('bower_components/fontawesome/fonts/fontawesome-webfont.woff',{destDir: 'fonts', overwrite: true});
      app.import('bower_components/fontawesome/fonts/fontawesome-webfont.woff2',{destDir: 'fonts', overwrite: true});
      app.import('bower_components/fontawesome/fonts/FontAwesome.otf',{destDir: 'fonts', overwrite: true});      
    }
    var animations = [];
    var animateMessage = 'no animations loaded';
    if(o.animate) {
      // annimate.css
      if(o.animate === 'default') {
         animations = defaultAnimations;
         
      } else if (o.animate instanceof array) {
        animations = o.animate;
      }
      app.import('vendor/ui-icon/attention_seekers/bounce.css');
      app.import('vendor/ui-icon/attention_seekers/flash.css');
      app.import('vendor/ui-icon/attention_seekers/pulse.css');
      app.import('vendor/ui-icon/attention_seekers/rubberBand.css');
      app.import('vendor/ui-icon/attention_seekers/shake.css');
      app.import('vendor/ui-icon/attention_seekers/swing.css');
      app.import('vendor/ui-icon/attention_seekers/tada.css');
      app.import('vendor/ui-icon/attention_seekers/wobble.css');
  	}
    if(!o.quiet) {
      console.log('ui-icon: %s, %s', faMessage, animateMessage);
    }

  }
};
